WordPress.org

Ready to get started?Download WordPress

Forums

Duplicator
[resolved] Blank screen when opening Duplicator installer.php in browser on Digital Ocean (18 posts)

  1. JeanP
    Member
    Posted 4 months ago #

    Hello,

    I have succesfully donwloaded the package and installer and uploaded it to the root of my Digital Ocean droplet. When I try to open the installer.php in the browser, I get a white screen.

    I've checked the permissions. They are ok.
    I've opened another php file in the root. It is opening fine.
    I've checked the PHP version that is supported: PHP5 so this should be fine as well.

    It looks to me that the installer.php file is not working properly.

    Did anyone encouter this problem? Any suggestions what I should do? Much appreciated!

    https://wordpress.org/plugins/duplicator/

  2. bemdesign
    Member
    Posted 4 months ago #

    Can you turn on WordPress debugging? Install the Developer plugin and enable the debug bar (and its extensions). This can show you WordPress debugging error messages and might help you track down what's happening.

  3. Cory Lamle
    Member
    Plugin Author

    Posted 4 months ago #

    Hey Jean,

    Try placing die('test') in the installer.php file starting at the very top. If your on a budget/shared host they may have PHP configured to limited functionality. The only way to see what it doesn't like is to validate where the code fails.

    You can also create a simple test.php and place a phpinfo call inside to see if that renders...

    Cheers~

  4. akfdev
    Member
    Posted 4 months ago #

    Just to say, that i have the same problem with a blank screen, with a droplet on digital ocean.

    I had it working on a previous droplet fine, but this time i have tried to configure fastcgi & opcache has turned on.

    (Duplicator) Installer.php with an archive.zip and database.sql.

    I an trying to work out what happened, but at the moment i'm at a loss. Any ideas ?

    The Ubuntu 13 php does not come with json installed.

    sudo apt-get install php5-json
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    The following NEW packages will be installed:
    php5-json
    0 upgraded, 1 newly installed, 0 to remove and 14 not upgraded.
    Need to get 19.8 kB of archives.
    After this operation, 119 kB of additional disk space will be used.
    Get:1 http://us.archive.ubuntu.com/ubuntu/ saucy/universe php5-json amd64 1.3.1+dfsg-2 [19.8 kB]
    Fetched 19.8 kB in 0s (25.3 kB/s)
    Selecting previously unselected package php5-json.
    (Reading database ... 94254 files and directories currently installed.)
    Unpacking php5-json (from .../php5-json_1.3.1+dfsg-2_amd64.deb) ...
    Setting up php5-json (1.3.1+dfsg-2) ...
    php5_invoke: Enable module json for cli SAPI
    php5_invoke: Enable module json for fpm SAPI
    php5_invoke: Enable module json for apache2 SAPI
    php5_invoke: Enable module json for cgi SAPI
    root@the-great-divide:~# apachectl restart

    Then my installer.php worked.

    I worked this out by starting in the ssh shell on the server

    root@xxxxxxxx:~# php installer.php
    hii

    PHP Fatal error: Call to undefined function json_decode() in /root/installer.php on line 117

  5. Cory Lamle
    Member
    Plugin Author

    Posted 4 months ago #

    Hey @akfdev,

    The plugin requires the json_encode function to work. Your server admin should be able to help you get it installed...

    Thanks~

  6. akfdev
    Member
    Posted 4 months ago #

    Thanks @lifeinthegrid

    Once the php5-json was installed, it worked perfectly.

    It's a fantastic plugin, pure and simple.

  7. Cory Lamle
    Member
    Plugin Author

    Posted 4 months ago #

    Excellent! Glad you got it going...

  8. JeanP
    Member
    Posted 3 months ago #

    Hi Great that the duplicator can work on Digital Ocean Droplets!

    So should I just install sjon bij entering:

    sudo apt-get install php5-json

    Is that all?

  9. akfdev
    Member
    Posted 3 months ago #

    @JeanP.
    It works for me now perfectly, on my "WordPress on Ubuntu 13.10" Droplet, after adding the json. If it does not work though, just run it from the command line to see what else is missing using "php installer.php" (Not official but at least it showed me what my configuration was missing)

  10. JeanP
    Member
    Posted 3 months ago #

    Thanks for the fast response! I will try that!

    I would also like to use the LEMP stack on my droplet instead of LAMP stack.

    So Ngix instead of appache. Does this have any influance when mygrating a website you think?

  11. akfdev
    Member
    Posted 3 months ago #

    sorry no experience. but at least you can snapshot and try it repeatedly until you get it right.

  12. headfonia
    Member
    Posted 2 months ago #

    Funny I've got the duplicator working on several different VPS including Digital Ocean. But now I'm stuck on this new VPS I'm working at and I'm getting the same blank screen on calling the installer.php in a browser.

    Have installed LAMP, as well as the php5-json. Still nothing.

  13. headfonia
    Member
    Posted 2 months ago #

    I've tried all the solutions above btw

  14. akfdev
    Member
    Posted 2 months ago #

    What was the result from using it on the command line on the server ?

    php installer.php

  15. headfonia
    Member
    Posted 2 months ago #

    I got some undefined index at the top

    `

    PHP Notice: Undefined index: SERVER_NAME in /var/www/html/installer.php on line 168
    PHP Notice: Undefined index: REQUEST_URI in /var/www/html/installer.php on line 168

  16. akfdev
    Member
    Posted 2 months ago #

    I was hoping it would show up a missing library or something, sorry i am at a loss now on how to fix it. Hopefully somebody else will have some ideas on how to find out whats wrong. The two errors shown i would expect as it's just been run from the command line.

  17. headfonia
    Member
    Posted 2 months ago #

    yeah and the funny thing is that I've gotten the installer.php to work at two different VPS and now I'm getting this same error on three other different VPS. All running Ubuntu 13.04/14.04 + LAMP.

  18. Cory Lamle
    Member
    Plugin Author

    Posted 2 months ago #

    Hey guys,

    The installer doesn't support command line interaction at least at this point. If you want to submit a support ticket I can look closer at your system. Please reference this thread if you do so...

    Thanks

Reply

You must log in to post.

About this Plugin

About this Topic